%define upstream_name    PPI-XS
%define upstream_version 0.901

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    (Minor) XS acceleration for PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Ticket/Display.html?id=76561
Patch0:     PPI-XS-0.901-remove_defined_warnings.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(PPI) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-devel
%description
PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.

Once installed, it will be auto-detected and loaded in by PPI completely
transparently.

Because the C implementations are linked to the perl versions of the same
function, it is preferable to upgrade PPI::XS any time you do a major
upgrade of PPI itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .warn

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.901.0-9.mga3
+ Revision: 371333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 0.901.0-8.mga3
+ Revision: 269468
- fix defined warnings (rt#76561)

* Wed May 30 2012 jquelin <jquelin> 0.901.0-7.mga3
+ Revision: 251081
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.901.0-6.mga2
+ Revision: 104922
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.901.0-5.mga1
+ Revision: 34107
- mageia rebuild
- imported package perl-PPI-XS

